#include <bits/stdc++.h>
 
using namespace std;
 
typedef long long ll;
typedef long double ld;
 
typedef vector<int> vi;
typedef vector<ll> vll;
 
typedef vector<vi> vvi;
typedef vector<vll> vvll;
 
typedef pair<int, int> pii;
typedef pair<ll, ll> pll;
 
typedef vector<pii> vpii;
typedef vector<pll> vpll;
 
typedef vector<vpii> vvpii;
typedef vector<vpll> vvpll;
 
#define pb push_back
#define mp make_pair
#define all(x) (x).begin(), (x).end()
#define rall(x) (x).rbegin(), (x).rend()
#define sz(x) (int)(x).size()
#define fi first
#define se second
 
template<class T> bool ckmin(T &a, const T &b) {return a > b ? a = b, 1 : 0;}
template<class T> bool ckmax(T &a, const T &b) {return a < b ? a = b, 1 : 0;}
 
namespace debug {
    void __print(int x) {cerr << x;}
    void __print(long long x) {cerr << x;}
    void __print(double x) {cerr << x;}
    void __print(long double x) {cerr << x;}
    void __print(char x) {cerr << '\'' << x << '\'';}
    void __print(const string &x) {cerr << '\"' << x << '\"';}
    void __print(const char *x) {cerr << '\"' << x << '\"';}
    void __print(bool x) {cerr << (x ? "true" : "false");}
 
    template<typename T, typename V>
    void __print(const pair<T, V> &x) {cerr << '{'; __print(x.first); cerr << ','; __print(x.second); cerr << '}';}
    template<typename T>
    void __print(const T &x) {int f = 0; cerr << '{'; for(auto z : x) cerr << (f++ ? "," : ""), __print(z); cerr << "}";}
    void _print() {cerr << "]\n";}
    template <typename T, typename... V>
    void _print(T t, V... v) {__print(t); if(sizeof...(v)) cerr << ", "; _print(v...);}
 
#ifdef ljuba
#define dbg(x...) cerr << "\e[91m" << "LINE(" << __LINE__ << ") -> " << "[" << #x << "] = ["; _print(x)
#else
#define dbg(x...)
#endif
}
 
using namespace debug;
 
const char nl = '\n';
 
mt19937 rng(chrono::high_resolution_clock::now().time_since_epoch().count());
 
/*
???????? ?????? ???????, ??? ???? ??? ????????????? (????? ???? ???????? ?????) 
?????? ?? ????????? ???? ????? ????????? ?? ??????, ????????? ??????? ? ???????
*/

const int mxN = 2e5 + 12;
int dp[mxN][12];

const int INF = 1e9 + 12;

void solve() {
    string s, t;
    cin >> s >> t;

    s = "@" + s;

    int n = sz(s);
    int m = sz(t);

    for(int i = 0; i <= n; ++i) {
        for(int j = 0; j <= m; ++j) {
            dp[i][j] = INF;
        }
    }

    dp[0][0] = 0;

    for(int i = 1; i <= n; ++i) {
        for(int j = 0; j < m; ++j) {
            if(s[i] == t[j]) {
                ckmin(dp[i][j], dp[i-1][j] + 1);
                ckmin(dp[i][j+1], dp[i-1][j]);
            } else {
                ckmin(dp[i][j], dp[i-1][j]);
            }
        }
    }

    pii gde{INF, -1};

    for(int i = 0; i < m; ++i) {
        pii tren{dp[n][i], i};
        ckmin(gde, tren);
    }

    cout << gde.fi << nl;

    for(int i = n; i >= 1; --i) {
        if((gde.se-1 >= 0 && s[i] == t[gde.se-1]) && dp[i-1][gde.se-1] == dp[i][gde.se]) {
            --gde.se;
        } else if(s[i] == t[gde.se] && dp[i-1][gde.se]+1 == dp[i][gde.se]) {
            s[i] = '*';
        } else {
            //xD
        }
    }

    for(int i = 1; i <= n; ++i) {
        cout << s[i];
    }
    cout << nl;
}
 
int main() {
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
 
    int testCases = 1;
    //cin >> testCases;
    while(testCases--)
        solve();
}